Subject: Re: [DNA] DNA proposal issue 19 - was [Issue X] LinkID v.s. Landmark Prefix

From: Greg Daley <[email-masked]>
Date: Tue, 26 Jul 2005 04:51:47 +1000

Hi Erik, 

----- Original Message -----
From: Erik Nordmark <[email-masked]>
Date: Monday, July 25, 2005 8:51 pm
Subject: Re: [DNA] DNA proposal issue 19 - was [Issue X] LinkID v.s. 
Landmark Prefix
> JinHyeock Choi wrote:
> 
> > No, Linkid has a rule to prevent "Renumbering and Early 
> reassignment." 
> 
> I agree that Linkid (as well as CPL I think) has a recommendation 
> to the administrator to not reassign a prefix to another link in 
less 
> than 3 hours.
> I'm not sure the same text is in the landmark draft yet, but it 
> would be trivial to add.
> 
> But my concern is what happens should the administrator not follow 
> this recommendation.
> 
> The worst case would be when P1 and P2 are assigned to link1, and 
> P2 is immediately reassigned to link3 (which had prefix P3 before), 
at 
> about the same time that the a host moves from link1 to link3.
> 
> In that case, any prefix based scheme for link identification 
> (CPL, landmark, linkid, or anything else we can invent) can get into 
> trouble, by the host assuming that P1, P2, and P3 are assigned to 
link3.
> 
> Should this happen, then the host will assume that P1 is usable 
> until the last valid/preferred lifetimes it saw has expired. Since 
RFC 
> 2461 suggests a default preferred lifetime of 7 days, the host will 
try 
> to use P1 as a source address for 7 days, even though no packets 
> returned to P1 will make it back to the link to which the host is
> attached.

In CPL which is host (only) based, the timers are on the host, and 
protect
the host from long term damage, by removing unupdated information 
at the host.

Even with the most broken readvartisement scheme for stale information,
the damage could only occur for a maximum:
(Router out-of-date timer + Host out-of-date timer)

If the readvertisement schemes for routers override bad state
for the hosts, The lifetime for bad information is less than:

(Router out-of-date timer) + (MaxRtrAdvInterval * ROBUSTNESS)

By this time, the host should be updated, with fresh state.
This time is actually related to the readvertising router's actual
configuration timers (rather than defaults, etc), so it may be 
significantly lower than the previous cost.

So if Router out-of-date timer = 1800s (MAXRA) and Host out-of-date 
timer=3600s
(2x MAXRA).  This assumes fairly reliable transmission between routers
(potentially 2 x MAXRA for routers though)).

Overall the possibility for out of date information is reduced to 2 
hours
after change (in that situation, and potentially, 1 hour and a very 
few seconds
if the override mechanism is possible).

Greg

---

From: Erik Nordmark <[email-masked]>
Date: Mon, 25 Jul 2005 19:24:55 -0700

> (Router out-of-date timer + Host out-of-date timer)

Are you talking about RFC 2461, or are you talking about a proposal for 
how CPL could work?

    Erik